cURL
curl --request PATCH \
--url https://api.timbal.ai/orgs/{org_id}/iam/roles/{role_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "<string>",
"grants": [
{
"action": "<string>",
"condition": "<unknown>",
"resource": "<string>"
}
],
"name": "<string>"
}
'import requests
url = "https://api.timbal.ai/orgs/{org_id}/iam/roles/{role_id}"
payload = {
"description": "<string>",
"grants": [
{
"action": "<string>",
"condition": "<unknown>",
"resource": "<string>"
}
],
"name": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
description: '<string>',
grants: [{action: '<string>', condition: '<unknown>', resource: '<string>'}],
name: '<string>'
})
};
fetch('https://api.timbal.ai/orgs/{org_id}/iam/roles/{role_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "2023-11-07T05:31:56Z",
"grants": [
{
"action": "<string>",
"condition": "<unknown>",
"resource": "<string>"
}
],
"id": "<string>",
"name": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>"
}Roles
Update Organization Role
Partially update a custom organization role.
PATCH
/
orgs
/
{org_id}
/
iam
/
roles
/
{role_id}
cURL
Authorizations
Timbal API key. Obtain your API key from the Timbal platform settings. See Authentication for more information.
Body
application/json
Response
Role updated
A role with its full grant set.
Domain grants this role carries. May be empty.
Show child attributes
Show child attributes
Whether a role is a built-in preset or defined by the organization.
system roles are read-only; custom roles can be edited or deleted
by an organization admin.
Available options:
system, custom ⌘I